Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.font.effects
Class ColorEffect

    java.lang.Object
      org.newdawn.slick.font.effects.ColorEffect

All Implemented Interfaces:
  ConfigurableEffect, Effect

    public class ColorEffect

extends java.lang.Object
implements ConfigurableEffect

Makes glyphs a solid color.

Author:
  Nathan Sweet

Nested Class Summary

Nested classes/interfaces inherited from interface org.newdawn.slick.font.effects.ConfigurableEffect
`ConfigurableEffect.Value`

Constructor Summary
`ColorEffect()` Default constructor for injection
`ColorEffect(java.awt.Color color)` Create a new effect to colour the text

Method Summary
`void` | `draw(java.awt.image.BufferedImage image, java.awt.Graphics2D g, UnicodeFont unicodeFont, Glyph glyph)` Called to draw the effect.
`java.awt.Color` | `getColor()` Get the colour being applied by this effect
`java.util.List` | `getValues()` Returns the list of `ConfigurableEffect.Value`s for this effect.
`void` | `setColor(java.awt.Color color)` Set the colour being applied by this effect
`void` | `setValues(java.util.List values)` Sets the list of `ConfigurableEffect.Value`s for this effect.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColorEffect

    public ColorEffect()

  Default constructor for injection

### ColorEffect

    public ColorEffect(java.awt.Color color)

  Create a new effect to colour the text

  Parameters:
    `color` - The colour to apply across the text

Method Detail

### draw

    public void draw(java.awt.image.BufferedImage image,
                     java.awt.Graphics2D g,
                     UnicodeFont unicodeFont,
                     Glyph glyph)

  Description copied from interface: `Effect`
  Called to draw the effect.

  Specified by:
    `draw` in interface `Effect`
  Parameters:
    `image` - The image to draw into
    `g` - The graphics context to use for applying the effect
    `unicodeFont` - The font being rendered
    `glyph` - The particular glyph being rendered
  See Also:
    `Effect.draw(java.awt.image.BufferedImage, java.awt.Graphics2D, org.newdawn.slick.UnicodeFont, org.newdawn.slick.font.Glyph)`

### getColor

    public java.awt.Color getColor()

  Get the colour being applied by this effect

  Returns:
    The colour being applied by this effect

### setColor

    public void setColor(java.awt.Color color)

  Set the colour being applied by this effect

  Parameters:
    `color` - The colour being applied by this effect

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### getValues

    public java.util.List getValues()

  Description copied from interface: `ConfigurableEffect`
  Returns the list of `ConfigurableEffect.Value`s for this effect. This list is not typically backed by the effect, so changes to the values will not take affect until `ConfigurableEffect.setValues(List)` is called.

  Specified by:
    `getValues` in interface `ConfigurableEffect`
  See Also:
    `ConfigurableEffect.getValues()`

### setValues

    public void setValues(java.util.List values)

  Description copied from interface: `ConfigurableEffect`
  Sets the list of `ConfigurableEffect.Value`s for this effect.

  Specified by:
    `setValues` in interface `ConfigurableEffect`
  See Also:
    `ConfigurableEffect.setValues(java.util.List)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.